POSTsui_getProtocolConfig

Sui Mainnethttps://sui-mainnet.nodit.io/

Return the protocol config table for the given version number. If the version number is not specified, If none is specified, the node uses the version of the latest epoch it has processed.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string
Responses
jsonrpcstring
idinteger
attributesobjectrequired
featureFlagsobjectrequired
maxSupportedProtocolVersionstringrequired
minSupportedProtocolVersionstringrequired
protocolVersionstringrequired
X-API-KEY
RequestCU10
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "sui_getProtocolConfig",
  "params": [
    6
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "minSupportedProtocolVersion": "1",
    "maxSupportedProtocolVersion": "88",
    "protocolVersion": "6",
    "featureFlags": {
      "accept_passkey_in_multisig": false,
      "accept_zklogin_in_multisig": false,
      "advance_epoch_start_time_in_safe_mode": true,
      "advance_to_highest_supported_protocol_version": false,
      "allow_receiving_object_id": false,
      "allow_unbounded_system_objects": false,
      "authority_capabilities_v2": false,
      "ban_entry_init": false,
      "better_adapter_type_resolution_errors": false,
      "bridge": false,
      "commit_root_state_digest": false,
      "consensus_batched_block_sync": false,
      "consensus_distributed_vote_scoring_strategy": false,
      "consensus_linearize_subdag_v2": false,
      "consensus_median_based_commit_timestamp": false,
      "consensus_order_end_of_epoch_last": true,
      "consensus_round_prober": false,
      "consensus_round_prober_probe_accepted_rounds": false,
      "consensus_smart_ancestor_selection": false,
      "consensus_zstd_compression": false,
      "convert_type_argument_error": false,
      "disable_invariant_violation_check_in_swap_loc": false,
      "disallow_adding_abilities_on_upgrade": false,
      "disallow_change_struct_type_params_on_upgrade": false,
      "disallow_new_modules_in_deps_only_packages": false,
      "disallow_self_identifier": false,
      "enable_accumulators": false,
      "enable_coin_deny_list": false,
      "enable_coin_deny_list_v2": false,
      "enable_effects_v2": false,
      "enable_group_ops_native_function_msm": false,
      "enable_group_ops_native_functions": false,
      "enable_jwk_consensus_updates": false,
      "enable_nitro_attestation": false,
      "enable_nitro_attestation_upgraded_parsing": false,
      "enable_party_transfer": false,
      "enable_poseidon": false,
      "enable_ptb_execution_v2": false,
      "enable_vdf": false,
      "end_of_epoch_transaction_supported": false,
      "enforce_checkpoint_timestamp_monotonicity": false,
      "fresh_vm_on_framework_upgrade": false,
      "hardened_otw_check": false,
      "ignore_execution_time_observations_after_certs_closed": false,
      "include_consensus_digest_in_prologue": false,
      "loaded_child_object_format": false,
      "loaded_child_object_format_type": false,
      "loaded_child_objects_fixed": true,
      "max_ptb_value_size_v2": false,
      "minimize_child_object_mutations": false,
      "missing_type_is_compatibility_error": true,
      "move_native_context": false,
      "mysticeti_fastpath": false,
      "mysticeti_leader_scoring_and_schedule": false,
      "mysticeti_use_committed_subdag_digest": false,
      "narwhal_certificate_v2": false,
      "narwhal_new_leader_election_schedule": false,
      "narwhal_versioned_metadata": false,
      "native_charging_v2": false,
      "no_extraneous_module_bytes": false,
      "normalize_ptb_arguments": false,
      "package_digest_hash_module": false,
      "package_upgrades": true,
      "passkey_auth": false,
      "prepend_prologue_tx_in_consensus_commit_in_checkpoints": false,
      "random_beacon": false,
      "receive_objects": false,
      "recompute_has_public_transfer_in_execution": false,
      "record_additional_state_digest_in_prologue": false,
      "record_consensus_determined_version_assignments_in_prologue": false,
      "record_consensus_determined_version_assignments_in_prologue_v2": false,
      "record_time_estimate_processed": false,
      "reject_mutable_random_on_entry_functions": false,
      "relocate_event_module": false,
      "reshare_at_same_initial_version": false,
      "resolve_abort_locations_to_package_id": false,
      "resolve_type_input_ids_to_defining_id": false,
      "rethrow_serialization_type_layout_errors": false,
      "scoring_decision_with_validity_cutoff": true,
      "shared_object_deletion": false,
      "simple_conservation_checks": false,
      "simplified_unwrap_then_delete": false,
      "soft_bundle": false,
      "throughput_aware_consensus_submission": false,
      "txn_base_cost_as_multiplier": false,
      "type_tags_in_object_runtime": false,
      "uncompressed_g1_group_elements": false,
      "upgraded_multisig_supported": false,
      "validate_identifier_inputs": false,
      "variant_nodes": false,
      "verify_legacy_zklogin_address": false,
      "zklogin_auth": false
    },
    "attributes": {
      "address_from_bytes_cost_base": {
        "u64": "52"
      },
      "address_from_u256_cost_base": {
        "u64": "52"
      },
      "address_to_u256_cost_base": {
        "u64": "52"
      },
      "allowed_txn_cost_overage_burst_per_object_in_commit": null,
      "base_tx_cost_fixed": {
        "u64": "2000"
      },
      "base_tx_cost_per_byte": {
        "u64": "0"
      },
      "bcs_failure_cost": null,
      "bcs_legacy_min_output_size_cost": null,
      "bcs_per_byte_serialized_cost": null,
      "binary_address_identifiers": null,
      "binary_constant_pool": null,
      "binary_enum_def_instantiations": null,
      "binary_enum_defs": null,
      "binary_field_handles": null,
      "binary_field_instantiations": null,
      "binary_friend_decls": null,
      "binary_function_defs": null,
      "binary_function_handles": null,
      "binary_function_instantiations": null,
      "binary_identifiers": null,
      "binary_module_handles": null,
      "binary_signatures": null,
      "binary_struct_def_instantiations": null,
      "binary_struct_defs": null,
      "binary_struct_handles": null,
      "binary_variant_handles": null,
      "binary_variant_instantiation_handles": null,
      "bls12381_bls12381_min_pk_verify_cost_base": {
        "u64": "52"
      },
      "bls12381_bls12381_min_pk_verify_msg_cost_per_block": {
        "u64": "2"
      },
      "bls12381_bls12381_min_pk_verify_msg_cost_per_byte": {
        "u64": "2"
      },
      "bls12381_bls12381_min_sig_verify_cost_base": {
        "u64": "52"
      },
      "bls12381_bls12381_min_sig_verify_msg_cost_per_block": {
        "u64": "2"
      },
      "bls12381_bls12381_min_sig_verify_msg_cost_per_byte": {
        "u64": "2"
      },
      "bridge_should_try_to_finalize_committee": null,
      "buffer_stake_for_protocol_upgrade_bps": {
        "u64": "5000"
      },
      "check_zklogin_id_cost_base": null,
      "check_zklogin_issuer_cost_base": null,
      "checkpoint_summary_version_specific_data": null,
      "config_read_setting_impl_cost_base": null,
      "config_read_setting_impl_cost_per_byte": null,
      "consensus_bad_nodes_stake_threshold": null,
      "consensus_commit_rate_estimation_window_size": null,
      "consensus_gc_depth": null,
      "consensus_max_num_transactions_in_block": null,
      "consensus_max_transaction_size_bytes": null,
      "consensus_max_transactions_in_block_bytes": null,
      "consensus_voting_rounds": null,
      "crypto_invalid_arguments_cost": {
        "u64": "100"
      },
      "debug_print_base_cost": null,
      "debug_print_stack_trace_base_cost": null,
      "dynamic_field_add_child_object_cost_base": {
        "u64": "100"
      },
      "dynamic_field_add_child_object_struct_tag_cost_per_byte": {
        "u64": "10"
      },
      "dynamic_field_add_child_object_type_cost_per_byte": {
        "u64": "10"
      },
      "dynamic_field_add_child_object_value_cost_per_byte": {
        "u64": "10"
      },
      "dynamic_field_borrow_child_object_child_ref_cost_per_byte": {
        "u64": "10"
      },
      "dynamic_field_borrow_child_object_cost_base": {
        "u64": "100"
      },
      "dynamic_field_borrow_child_object_type_cost_per_byte": {
        "u64": "10"
      },
      "dynamic_field_has_child_object_cost_base": {
        "u64": "100"
      },
      "dynamic_field_has_child_object_with_ty_cost_base": {
        "u64": "100"
      },
      "dynamic_field_has_child_object_with_ty_type_cost_per_byte": {
        "u64": "2"
      },
      "dynamic_field_has_child_object_with_ty_type_tag_cost_per_byte": {
        "u64": "2"
      },
      "dynamic_field_hash_type_and_key_cost_base": {
        "u64": "100"
      },
      "dynamic_field_hash_type_and_key_type_cost_per_byte": {
        "u64": "2"
      },
      "dynamic_field_hash_type_and_key_type_tag_cost_per_byte": {
        "u64": "2"
      },
      "dynamic_field_hash_type_and_key_value_cost_per_byte": {
        "u64": "2"
      },
      "dynamic_field_remove_child_object_child_cost_per_byte": {
        "u64": "2"
      },
      "dynamic_field_remove_child_object_cost_base": {
        "u64": "100"
      },
      "dynamic_field_remove_child_object_type_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_k1_decompress_pubkey_cost_base": {
        "u64": "52"
      },
      "ecdsa_k1_ecrecover_keccak256_cost_base": {
        "u64": "52"
      },
      "ecdsa_k1_ecrecover_keccak256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_k1_ecrecover_keccak256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_k1_ecrecover_sha256_cost_base": {
        "u64": "52"
      },
      "ecdsa_k1_ecrecover_sha256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_k1_ecrecover_sha256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_k1_secp256k1_verify_keccak256_cost_base": {
        "u64": "52"
      },
      "ecdsa_k1_secp256k1_verify_keccak256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_k1_secp256k1_verify_keccak256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_k1_secp256k1_verify_sha256_cost_base": {
        "u64": "52"
      },
      "ecdsa_k1_secp256k1_verify_sha256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_k1_secp256k1_verify_sha256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_r1_ecrecover_keccak256_cost_base": {
        "u64": "52"
      },
      "ecdsa_r1_ecrecover_keccak256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_r1_ecrecover_keccak256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_r1_ecrecover_sha256_cost_base": {
        "u64": "52"
      },
      "ecdsa_r1_ecrecover_sha256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_r1_ecrecover_sha256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_r1_secp256r1_verify_keccak256_cost_base": {
        "u64": "52"
      },
      "ecdsa_r1_secp256r1_verify_keccak256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_r1_secp256r1_verify_keccak256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecdsa_r1_secp256r1_verify_sha256_cost_base": {
        "u64": "52"
      },
      "ecdsa_r1_secp256r1_verify_sha256_msg_cost_per_block": {
        "u64": "2"
      },
      "ecdsa_r1_secp256r1_verify_sha256_msg_cost_per_byte": {
        "u64": "2"
      },
      "ecvrf_ecvrf_verify_alpha_string_cost_per_block": {
        "u64": "2"
      },
      "ecvrf_ecvrf_verify_alpha_string_cost_per_byte": {
        "u64": "2"
      },
      "ecvrf_ecvrf_verify_cost_base": {
        "u64": "52"
      },
      "ed25519_ed25519_verify_cost_base": {
        "u64": "52"
      },
      "ed25519_ed25519_verify_msg_cost_per_block": {
        "u64": "2"
      },
      "ed25519_ed25519_verify_msg_cost_per_byte": {
        "u64": "2"
      },
      "event_emit_cost_base": {
        "u64": "52"
      },
      "event_emit_output_cost_per_byte": {
        "u64": "10"
      },
      "event_emit_tag_size_derivation_cost_per_byte": {
        "u64": "5"
      },
      "event_emit_value_size_derivation_cost_per_byte": {
        "u64": "2"
      },
      "execution_version": null,
      "gas_budget_based_txn_cost_absolute_cap_commit_count": null,
      "gas_budget_based_txn_cost_cap_factor": null,
      "gas_model_version": {
        "u64": "5"
      },
      "gas_rounding_step": null,
      "groth16_prepare_verifying_key_bls12381_cost_base": {
        "u64": "52"
      },
      "groth16_prepare_verifying_key_bn254_cost_base": {
        "u64": "52"
      },
      "groth16_verify_groth16_proof_internal_bls12381_cost_base": {
        "u64": "52"
      },
      "groth16_verify_groth16_proof_internal_bls12381_cost_per_public_input": {
        "u64": "2"
      },
      "groth16_verify_groth16_proof_internal_bn254_cost_base": {
        "u64": "52"
      },
      "groth16_verify_groth16_proof_internal_bn254_cost_per_public_input": {
        "u64": "2"
      },
      "groth16_verify_groth16_proof_internal_public_input_cost_per_byte": {
        "u64": "2"
      },
      "group_ops_bls12381_decode_g1_cost": null,
      "group_ops_bls12381_decode_g2_cost": null,
      "group_ops_bls12381_decode_gt_cost": null,
      "group_ops_bls12381_decode_scalar_cost": null,
      "group_ops_bls12381_g1_add_cost": null,
      "group_ops_bls12381_g1_div_cost": null,
      "group_ops_bls12381_g1_hash_to_base_cost": null,
      "group_ops_bls12381_g1_hash_to_cost_per_byte": null,
      "group_ops_bls12381_g1_msm_base_cost": null,
      "group_ops_bls12381_g1_msm_base_cost_per_input": null,
      "group_ops_bls12381_g1_mul_cost": null,
      "group_ops_bls12381_g1_sub_cost": null,
      "group_ops_bls12381_g1_to_uncompressed_g1_cost": null,
      "group_ops_bls12381_g2_add_cost": null,
      "group_ops_bls12381_g2_div_cost": null,
      "group_ops_bls12381_g2_hash_to_base_cost": null,
      "group_ops_bls12381_g2_hash_to_cost_per_byte": null,
      "group_ops_bls12381_g2_msm_base_cost": null,
      "group_ops_bls12381_g2_msm_base_cost_per_input": null,
      "group_ops_bls12381_g2_mul_cost": null,
      "group_ops_bls12381_g2_sub_cost": null,
      "group_ops_bls12381_gt_add_cost": null,
      "group_ops_bls12381_gt_div_cost": null,
      "group_ops_bls12381_gt_mul_cost": null,
      "group_ops_bls12381_gt_sub_cost": null,
      "group_ops_bls12381_msm_max_len": null,
      "group_ops_bls12381_pairing_cost": null,
      "group_ops_bls12381_scalar_add_cost": null,
      "group_ops_bls12381_scalar_div_cost": null,
      "group_ops_bls12381_scalar_mul_cost": null,
      "group_ops_bls12381_scalar_sub_cost": null,
      "group_ops_bls12381_uncompressed_g1_sum_base_cost": null,
      "group_ops_bls12381_uncompressed_g1_sum_cost_per_term": null,
      "group_ops_bls12381_uncompressed_g1_sum_max_terms": null,
      "group_ops_bls12381_uncompressed_g1_to_g1_cost": null,
      "hash_blake2b256_cost_base": {
        "u64": "52"
      },
      "hash_blake2b256_data_cost_per_block": {
        "u64": "2"
      },
      "hash_blake2b256_data_cost_per_byte": {
        "u64": "2"
      },
      "hash_keccak256_cost_base": {
        "u64": "52"
      },
      "hash_keccak256_data_cost_per_block": {
        "u64": "2"
      },
      "hash_keccak256_data_cost_per_byte": {
        "u64": "2"
      },
      "hash_sha2_256_base_cost": null,
      "hash_sha2_256_legacy_min_input_len_cost": null,
      "hash_sha2_256_per_byte_cost": null,
      "hash_sha3_256_base_cost": null,
      "hash_sha3_256_legacy_min_input_len_cost": null,
      "hash_sha3_256_per_byte_cost": null,
      "hmac_hmac_sha3_256_cost_base": {
        "u64": "52"
      },
      "hmac_hmac_sha3_256_input_cost_per_block": {
        "u64": "2"
      },
      "hmac_hmac_sha3_256_input_cost_per_byte": {
        "u64": "2"
      },
      "max_accumulated_randomness_txn_cost_per_object_in_mysticeti_commit": null,
      "max_accumulated_txn_cost_per_object_in_mysticeti_commit": null,
      "max_accumulated_txn_cost_per_object_in_narwhal_commit": null,
      "max_age_of_jwk_in_epochs": null,
      "max_arguments": {
        "u32": "512"
      },
      "max_back_edges_per_function": {
        "u64": "10000"
      },
      "max_back_edges_per_module": {
        "u64": "10000"
      },
      "max_basic_blocks": {
        "u64": "1024"
      },
      "max_checkpoint_size_bytes": {
        "u64": "31457280"
      },
      "max_deferral_rounds_for_congestion_control": null,
      "max_dependency_depth": {
        "u64": "100"
      },
      "max_event_emit_size": {
        "u64": "256000"
      },
      "max_event_emit_size_total": null,
      "max_fields_in_struct": {
        "u64": "32"
      },
      "max_function_definitions": {
        "u64": "1000"
      },
      "max_function_parameters": {
        "u64": "128"
      },
      "max_gas_computation_bucket": {
        "u64": "5000000"
      },
      "max_gas_payment_objects": {
        "u32": "256"
      },
      "max_gas_price": {
        "u64": "100000"
      },
      "max_generic_instantiation_length": {
        "u64": "32"
      },
      "max_input_objects": {
        "u64": "2048"
      },
      "max_jwk_votes_per_validator_per_epoch": null,
      "max_loop_depth": {
        "u64": "5"
      },
      "max_meter_ticks_per_module": {
        "u64": "6000000"
      },
      "max_meter_ticks_per_package": null,
      "max_modules_in_publish": {
        "u32": "128"
      },
      "max_move_enum_variants": null,
      "max_move_identifier_len": null,
      "max_move_object_size": {
        "u64": "256000"
      },
      "max_move_package_size": {
        "u64": "102400"
      },
      "max_move_value_depth": null,
      "max_move_vector_len": {
        "u64": "262144"
      },
      "max_num_deleted_move_object_ids": {
        "u64": "2048"
      },
      "max_num_deleted_move_object_ids_system_tx": {
        "u64": "32768"
      },
      "max_num_event_emit": {
        "u64": "256"
      },
      "max_num_new_move_object_ids": {
        "u64": "2048"
      },
      "max_num_new_move_object_ids_system_tx": {
        "u64": "32768"
      },
      "max_num_transferred_move_object_ids": {
        "u64": "2048"
      },
      "max_num_transferred_move_object_ids_system_tx": {
        "u64": "32768"
      },
      "max_package_dependencies": null,
      "max_programmable_tx_commands": {
        "u32": "1024"
      },
      "max_ptb_value_size": null,
      "max_publish_or_upgrade_per_ptb": null,
      "max_pure_argument_size": {
        "u32": "16384"
      },
      "max_push_size": {
        "u64": "10000"
      },
      "max_serialized_tx_effects_size_bytes": {
        "u64": "524288"
      },
      "max_serialized_tx_effects_size_bytes_system_tx": {
        "u64": "8388608"
      },
      "max_size_written_objects": {
        "u64": "5000000"
      },
      "max_size_written_objects_system_tx": {
        "u64": "50000000"
      },
      "max_soft_bundle_size": null,
      "max_struct_definitions": {
        "u64": "200"
      },
      "max_transactions_per_checkpoint": {
        "u64": "10000"
      },
      "max_tx_gas": {
        "u64": "50000000000"
      },
      "max_tx_size_bytes": {
        "u64": "131072"
      },
      "max_txn_cost_overage_per_object_in_commit": null,
      "max_type_argument_depth": {
        "u32": "16"
      },
      "max_type_arguments": {
        "u32": "16"
      },
      "max_type_nodes": {
        "u64": "256"
      },
      "max_type_to_layout_nodes": null,
      "max_value_stack_size": {
        "u64": "1024"
      },
      "max_verifier_meter_ticks_per_function": {
        "u64": "6000000"
      },
      "min_checkpoint_interval_ms": null,
      "min_move_binary_format_version": null,
      "move_binary_format_version": {
        "u32": "6"
      },
      "nitro_attestation_parse_base_cost": null,
      "nitro_attestation_parse_cost_per_byte": null,
      "nitro_attestation_verify_base_cost": null,
      "nitro_attestation_verify_cost_per_cert": null,
      "obj_access_cost_delete_per_byte": {
        "u64": "40"
      },
      "obj_access_cost_mutate_per_byte": {
        "u64": "40"
      },
      "obj_access_cost_read_per_byte": {
        "u64": "15"
      },
      "obj_access_cost_verify_per_byte": {
        "u64": "200"
      },
      "obj_data_cost_refundable": {
        "u64": "100"
      },
      "obj_metadata_cost_non_refundable": {
        "u64": "50"
      },
      "object_borrow_uid_cost_base": {
        "u64": "52"
      },
      "object_delete_impl_cost_base": {
        "u64": "52"
      },
      "object_record_new_uid_cost_base": {
        "u64": "52"
      },
      "object_runtime_max_num_cached_objects": {
        "u64": "1000"
      },
      "object_runtime_max_num_cached_objects_system_tx": {
        "u64": "16000"
      },
      "object_runtime_max_num_store_entries": {
        "u64": "1000"
      },
      "object_runtime_max_num_store_entries_system_tx": {
        "u64": "16000"
      },
      "package_publish_cost_fixed": {
        "u64": "1000"
      },
      "package_publish_cost_per_byte": {
        "u64": "80"
      },
      "poseidon_bn254_cost_base": null,
      "poseidon_bn254_cost_per_block": null,
      "random_beacon_dkg_timeout_round": null,
      "random_beacon_dkg_version": null,
      "random_beacon_min_round_interval_ms": null,
      "random_beacon_reduction_allowed_delta": null,
      "random_beacon_reduction_lower_bound": null,
      "reward_slashing_rate": {
        "u64": "10000"
      },
      "sip_45_consensus_amplification_threshold": null,
      "storage_fund_reinvest_rate": {
        "u64": "500"
      },
      "storage_gas_price": {
        "u64": "76"
      },
      "storage_rebate_rate": {
        "u64": "9900"
      },
      "string_check_utf8_base_cost": null,
      "string_check_utf8_per_byte_cost": null,
      "string_index_of_base_cost": null,
      "string_index_of_per_byte_pattern_cost": null,
      "string_index_of_per_byte_searched_cost": null,
      "string_is_char_boundary_base_cost": null,
      "string_sub_string_base_cost": null,
      "string_sub_string_per_byte_cost": null,
      "transfer_freeze_object_cost_base": {
        "u64": "52"
      },
      "transfer_party_transfer_internal_cost_base": null,
      "transfer_receive_object_cost_base": null,
      "transfer_share_object_cost_base": {
        "u64": "52"
      },
      "transfer_transfer_internal_cost_base": {
        "u64": "52"
      },
      "tx_context_derive_id_cost_base": {
        "u64": "52"
      },
      "tx_context_epoch_cost_base": null,
      "tx_context_epoch_timestamp_ms_cost_base": null,
      "tx_context_fresh_id_cost_base": null,
      "tx_context_gas_budget_cost_base": null,
      "tx_context_gas_price_cost_base": null,
      "tx_context_ids_created_cost_base": null,
      "tx_context_replace_cost_base": null,
      "tx_context_rgp_cost_base": null,
      "tx_context_sender_cost_base": null,
      "tx_context_sponsor_cost_base": null,
      "type_name_get_base_cost": null,
      "type_name_get_per_byte_cost": null,
      "types_is_one_time_witness_cost_base": {
        "u64": "52"
      },
      "types_is_one_time_witness_type_cost_per_byte": {
        "u64": "2"
      },
      "types_is_one_time_witness_type_tag_cost_per_byte": {
        "u64": "2"
      },
      "use_object_per_epoch_marker_table_v2": null,
      "validator_validate_metadata_cost_base": {
        "u64": "52"
      },
      "validator_validate_metadata_data_cost_per_byte": {
        "u64": "2"
      },
      "vdf_hash_to_input_cost": null,
      "vdf_verify_vdf_cost": null,
      "vector_borrow_base_cost": null,
      "vector_destroy_empty_base_cost": null,
      "vector_empty_base_cost": null,
      "vector_length_base_cost": null,
      "vector_pop_back_base_cost": null,
      "vector_push_back_base_cost": null,
      "vector_push_back_legacy_per_abstract_memory_unit_cost": null,
      "vector_swap_base_cost": null
    }
  },
  "id": 1
}